Bug 3524 - vCard does not decode all quoted-printable values
Summary: vCard does not decode all quoted-printable values
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI/Address Book (show other bugs)
Version: 3.13.0
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-09-21 12:38 CEST by Ricardo Mones
Modified: 2015-10-02 09:00 CEST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ricardo Mones 2015-09-21 12:38:18 CEST
When addind a new vCard contact with quoted printable values are displayed as is, without decoding to the original string.

The original text of the .vcf file looks as follow:

FN;CHARSET=UTF-8;ENCODING=QUOTED-PRINTABLE:=XX=YY=ZZ...

Where XX, YY and ZZ are hex values.

These contacts appear after adding the file with name "=XX=YY=ZZ..." on the interface. A decoded value would have been expected.
Comment 1 users 2015-10-01 22:09:02 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2015-10-01 22:09:02.545846205 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=62685e3f1f5233d0632f6296aebf78017bc94137
Merge: bfec412 76b854f
Author: Colin Leroy <colin@colino.net>
Date:   Thu Oct 1 22:09:02 2015 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=76b854fd5e98f225dcee88f17cddebe72ace6683
Author: Ricardo Mones <ricardo@mones.org>
Date:   Thu Oct 1 00:28:34 2015 +0200

    Fix bug #3524 ‘vCard does not decode all quoted-printable values’
    
    Support vCard 2.1 variants with UTF-8 charset and/or encoding type
    parameters, which were deprecated in vCard 3.0, but are currently
    being used in some smartphone contact list exporters.

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=8780b1f666b6c6ba0edbd12b597cceede8d18bde
Author: Ricardo Mones <ricardo@mones.org>
Date:   Thu Oct 1 00:16:27 2015 +0200

    Fix bug #3516 ‘vCard icon misplaced’
    
    The icon was too big for the tree. Surrounding whitespace has been
    removed to fit at least as better as the others used on the AddressBook.